<?php
/**
 *
 * @author  ahrasis http://elk.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod     Defer
 *
 */

if (!defined('ELK'))
	die('No access...');

function Defer_JS(&$buffer)
{
	global $modSettings, $context;

	if (isset($_REQUEST['xml']) || $context['current_action'] == 'printpage') return $buffer;

	$Defer = array();

	// Description
	if (!empty($modSettings['Defer_enable'])) {
		// Define the old and the new title
		$JS_old = '></script>';
		$JS_new = ' defer></script>';
		$Defer[$JS_old] = $JS_new;
	}
	// Now let's change the title, if we're allowed to
	return str_replace(array_keys($Defer), array_values($Defer), $buffer);
}

function Defer_Texts()
{
	global $txt;

	// Load language
	loadLanguage('Defer');
}

function Defer_Settings(&$config_vars)
{
	global $txt;
	
	// Load language
	loadLanguage('Defer');

	// Add Settings
	$Defer = array(
			array('check', 'Defer_enable'),
			'',
	);
	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $Defer);
}
?>